<?php
$tabs = [
	'project' => 1,
	'members' => 2,
	'hierarchy' => 3,
	'field' => 4,
	'actors' => 5,
	'territory' => 6,
	'time' => 7,
	'indicator' => 8,
	'budget' => 9,
	'convention' => 10,
	'advancement' => 11,
	'task' => 12,
	'attachments' => 13,
];
?>
<div ng-controller="projectFormController as self" ng-init="self.init(
        '<?= $this->project ? $this->project->getId() : '' ?>',
        <?= $this->authStorage()
			->getUser()
			->getId() ?>
    )">
	<ul class="breadcrumb">
		<li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
		<li><a href="<?= $this->url('project') ?>"><?= $this->translate('project_module_title') ?></a>
		</li>
		<li class="active">
			<span ng-if="self.project.id">
				{{self.panelTitle}}
			</span>
			<span ng-if="!self.project.id">
				<?= $this->translate('project_nav_form') ?>
			</span>
		</li>
	</ul>

	<h1 class="page-title">
		<?= $this->icon('project') ?>
		<span ng-if="self.project.id">
			{{self.panelTitle}}
		</span>
		<span ng-if="!self.project.id">
			<?= $this->translate('project_module_title') ?>
		</span>
	</h1>

	<div class="row row-padding">
		<div class="col-xs-12">
			<div class="panel">
				<div class="panel-heading">
                    <div class="project-title" ng-if="self.project.id" ng-click="showHierarchy = (!showHierarchy)" class="pointer">
                        <span ng-if="self.project.id" ng-click="showHierarchy = (!showHierarchy)" class="pointer">
                            <i class="fa fa-sitemap" ng-show="!showHierarchy"></i>
                            <ul class="flat-tree list-unstyled" ng-show="showHierarchy">
                                <li ng-repeat="project in self.project.hierarchySup" ng-style="{marginLeft: (($index + 1) * 30) + 'px' }">
                                    <a href="<?= $this->url('project/form') ?>/{{project.id}}">{{project.code ?
                                        project.code + ' - ' : '' }}{{project.name}}</a>
                                </li>
                                <li ng-style="{marginLeft: ((self.project.hierarchySup.length || 1) * 30) + 'px'}">
                                    <strong>{{self.panelTitle}}</strong>
                                </li>
                            </ul>
                            <strong ng-show="!showHierarchy">{{self.panelTitle}}</strong>
                        </span>
                    </div>
					<span ng-if="!self.project.id">
						<?= $this->translate('project_nav_form') ?>
					</span>

					<div class="panel-heading-right project-panel-heading-right">

						<?php if (
							$this->environment()
							->getClient()
							->hasNetwork()
						) : ?>
							<label show-tpl="self.project.template" tpl-field-name="networkAccessible">
								<?= $this->translate('project_field_networkAccessible') ?>
								<i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_networkAccessible') ?>" hide-if-empty></i>
								<input form="projectForm" type="checkbox" ng-model="self.project.networkAccessible" ng-disabled="!self.project._rights.update || self.project.locked" />
							</label>
						<?php endif; ?>

						<select form="projectForm" name="publicationStatus" class="badge project_publicationStatus_{{self.project.publicationStatus}}" ng-model="self.project.publicationStatus" ng-change="self.changePublicationStatus()" ng-disabled="!self.project._rights.update && !self.isValidator()" show-tpl="self.project.template" show-tpl="self.project.template" tpl-field-name="publicationStatus">
							<?php foreach (\Project\Entity\Project::getPublicationStatutes() as $publicationStatus) {
								$ngShow = '';
								if ($this->acl()->onlyOwned('project:e:project:u')) {
									if (
										$publicationStatus == \Project\Entity\Project::PUBLICATION_STATUS_REJECTED ||
										$publicationStatus == \Project\Entity\Project::PUBLICATION_STATUS_VALIDATED
									) {
										$ngShow = 'ng-show="self.isValidator()"; ng-disabled="!self.isValidator()"';
									} else {
										$ngShow =
											'ng-show="self.isManager() || self.isValidator()"; ng-disabled="!self.isManager() && !self.isValidator()"';
									}
								}
								echo '<option value="' .
									$publicationStatus .
									'" ' .
									$ngShow .
									'>' .
									$this->translate('project_publicationStatus_' . $publicationStatus) .
									'</option>';
							} ?>
						</select>
						<i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_publicationStatus') ?>" hide-if-empty></i>

						<div class="panel-heading-actions" ng-if="self.project.id">
							<note-module entity="Project\Entity\Project" right="project:e:project" primary="self.project.id"></note-module>
						</div>

						<div class="panel-heading-actions" ng-if="self.project.id">
							<project-update-history primary="self.project.id"></project-update-history>
						</div>

						<div class="panel-heading-actions" ng-if="self.project.id" tooltip="<?= $this->translate('tooltip_export_word') ?>">
							<?= $this->icon('word', 'fa-fw pointer', [
								'ng-click' =>
								'self.showExportModal(\'' . ucfirst(\Export\Entity\Export::TYPE_WORD) . '\')',
							]) ?>
						</div>

						<div class="panel-heading-actions" ng-if="self.project.id" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
							<?= $this->icon('excel', 'fa-fw pointer', [
								'ng-click' =>
								'self.showExportModal(\'' . ucfirst(\Export\Entity\Export::TYPE_EXCEL) . '\')',
							]) ?>
						</div>

						<div class="panel-heading-actions" ng-if="self.project.id && self.project._rights.delete" tooltip="<?= $this->translate('tooltip_delete') ?>">
							<?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteProject()']) ?>
						</div>
					</div>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-sm-2">
							<div class="separator">
								<a class="pointer change-template" ng-click="self.showTemplate = !self.showTemplate" ng-show="self.project._rights.update">

									<?= $this->translate('change_project_template') ?> {{ self.project.template.name ?
									'(' + self.project.template.name + ')' : '' }}
								</a>
								<select class="form-control" form="projectForm" name="template" ng-model="self.project.template" ng-show="self.showTemplate" ng-disabled="!self.project._rights.update" ng-options="template as template.name for template in self.templates track by template.id">
									<option></option>
								</select>
							</div>
							<ul class="project-form-nav nav nav-pills nav-stacked">
								<li class="active">
									<a href="#project" data-toggle="tab">
										<?= $this->icon('project', 'fa-fw') ?> <?= ucfirst($this->translate('project_entity')) ?>
									</a>
								</li>
								<li ng-show="self.project.id">
									<a href="#members" data-toggle="tab">
										<?= $this->icon('users', 'fa-fw') ?> <?= ucfirst($this->translate('project_field_members')) ?>
									</a>
								</li>
								<li ng-show="self.project.id">
									<a href="#children" data-toggle="tab">
										<?= $this->icon('tree', 'fa-fw') ?> <?= ucfirst($this->translate('project_hierarchy')) ?>
									</a>
								</li>								
								<?php if ($this->module()->isActive('field')) : ?>
									<li ng-show="self.project.id" ng-click="fieldTabLoaded = true">
										<a href="#fields" data-toggle="tab">
											<?= $this->icon('field', 'fa-fw') ?> <?= ucfirst($this->translate('field_module_title')) ?>
										</a>
									</li>
								<?php endif; ?>
								<li ng-show="self.project.id" ng-click="actorsTabLoaded = true">
									<a href="#actors" data-toggle="tab">
										<?= $this->icon('structure', 'fa-fw') ?> <?= ucfirst($this->translate('project_field_actors')) ?>
									</a>
								</li>
								<?php if ($this->module()->isActive('map')) : ?>
									<li ng-show="self.project.id" ng-click="mapTabLoaded = true">
										<a href="#territories" data-toggle="tab">
											<?= $this->icon('territory', 'fa-fw') ?> <?= ucfirst($this->translate('territory_module_title')) ?>
										</a>
									</li>
								<?php endif; ?>
								<?php if ($this->module()->isActive('time')) : ?>
									<li ng-show="self.project.id" ng-click="timesTabLoaded = true">
										<a href="#times" data-toggle="tab">
											<?= $this->icon('time', 'fa-fw') ?> <?= ucfirst($this->translate('time_module_title')) ?>
										</a>
									</li>
								<?php endif; ?>
								<?php if ($this->module()->isActive('indicator')) : ?>
									<li ng-show="self.project.id" ng-click="indicatorsTabLoaded = true">
										<a href="#indicators" data-toggle="tab">
											<?= $this->icon('indicator', 'fa-fw') ?> <?= ucfirst($this->translate('indicator_module_title')) ?>
										</a>
									</li>
								<?php endif; ?>
								<?php if ($this->module()->isActive('budget')) : ?>
									<li ng-show="self.project.id" ng-click="budgetTabLoaded = true">
										<a href="#budget" data-toggle="tab">
											<?= $this->icon('budget', 'fa-fw') ?> <?= ucfirst($this->translate('budget_module_title')) ?>
											<small class="pull-right" ng-if="lockBudget" tooltip="<?= $this->translate('tooltip_project_locked_by_budgetStatus') ?>">
												<i class="fa fa-lock"></i>
											</small>
										</a>
									</li>
								<?php endif; ?>
								<?php if ($this->module()->isActive('convention')) : ?>
									<li ng-show="self.project.id" ng-click="conventionsTabLoaded = true">
										<a href="#conventions" data-toggle="tab">
											<?= $this->icon('convention', 'fa-fw') ?> <?= ucfirst(
																							$this->translate('convention_module_title')
																						) ?>
										</a>
									</li>
								<?php endif; ?>
								<?php if ($this->module()->isActive('advancement')) : ?>
									<li ng-show="self.project.id" ng-click="advancementTabLoaded = true">
										<a href="#advancement" data-toggle="tab">
											<?= $this->icon('advancement', 'fa-fw') ?> <?= ucfirst(
																							$this->translate('advancement_module_title')
																						) ?>
										</a>
									</li>
								<?php endif; ?>
								<?php if ($this->module()->isActive('task')) : ?>
									<li ng-show="self.project.id" ng-click="taskTabLoaded = true">
										<a href="#tasks" data-toggle="tab">
											<?= $this->icon('task', 'fa-fw') ?> <?= ucfirst($this->translate('task_module_title')) ?>
										</a>
									</li>
								<?php endif; ?>
								<li ng-show="self.project.id" ng-click="attachmentsTabLoaded = true">
									<a href="#attachments" data-toggle="tab">
										<?= $this->icon('attachment', 'fa-fw') ?> <?= ucfirst($this->translate('attachments_entities')) ?>
									</a>
								</li>
							</ul>
						</div>
						<div class="col-sm-10">
							<div class="tab-content">
								<div class="tab-pane active" id="project">
									<form id="projectForm" name="projectForm" ng-submit="self.saveProject()">
										<input type="hidden" name="id" ng-model="self.project.id" />

										<input type="hidden" name="publicationStatus" required ng-model="self.project.publicationStatus" />

										<div ng-if="self.project._rights.update" class="row btn-sticky">
											<div class="form-group col-xs-12">
												<button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
													<?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
													<?= $this->translate('form_button_save') ?>
												</button>
											</div>
										</div>

										<div class="row">
											<div class="form-group required col-sm-12">
												<label><?= $this->translate('project_field_name') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_name') ?>" hide-if-empty></i></label>
												<input type="text" name="name" class="form-control" required autocomplete="off" ng-model="self.project.name" ng-disabled="!self.project._rights.update || self.project.locked" />
												<field-errors field="name" errors="self.errors.fields"></field-errors>
											</div>
										</div>

										<div class="row">
											<div class="col-md-4 form-group">
												<div class="mt-1" show-tpl="self.project.template" tpl-field-name="code">
													<label>
														<?= $this->translate('project_field_code') ?>
														<i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_code') ?>" hide-if-empty></i>
													</label>

													<div class="input-group">
														<input type="text" name="code" class="form-control" autocomplete="off" ng-model="self.project.code" ng-disabled="!self.project._rights.update || self.project.locked" />
														<span class="input-group-addon"><i ng-click="self.generateCode()" class="fa fa-barcode"></i></span>
														<field-errors field="code" errors="self.errors.fields"></field-errors>
													</div>
												</div>
												<div class="mt-1" show-tpl="self.project.template" tpl-field-name="parent">
													<label><?= $this->translate('project_field_parent') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_parent') ?>" hide-if-empty></i></label>
													<project-select ng-model="self.project.parent" ng-disabled="!self.project._rights.update || self.project.locked" required="false" configuration="{
																service: {
																		apiParams: {
																				search: {
																						data: {
																								filters: {
																										id: {
																												op: 'neq',
																												val: self.project.id
																										}
																								}
																						}
																				}
																		}
																}
														}"></project-select>
													<field-errors field="parent" errors="self.errors.fields"></field-errors>
												</div>
											</div>
											<div class="col-md-8">
												<div class="row">
													<div class="col-md-6" ng-repeat="member in self.project.members">
														<div class="row">
															<div class="col-md-2">
																<img ng-src="{{member.user.avatar}}" class="avatar" />
															</div>
															<div class="col-md-4">
																<?php if ($this->acl()->isAllowed('user:e:user:r')) : ?>
																	<a href="<?= $this->url('user/form') ?>/{{member.user.id}}">{{member.user.name}}</a>
																<?php else : ?>
																	{{member.user.name}}
																<?php endif; ?>
															</div>
															<div class="col-md-6">
																<?php
																if ($this->module()->isActive('keyword')) {
																	$groups = $this->entityManager()->getRepository('Keyword\Entity\Group')->findByEntity('member', false);
																	foreach ($groups as $group) {
																?>
																		<span class="comma-separated" ng-if="member.keywords && 'Object' === member.keywords.constructor.name">
																			<span ng-repeat="keyword in member.keywords['<?= $group->getId() ?>']">{{keyword.name}}</span>
																		</span>
																		<span ng-if="!member.keywords || 'Array' === member.keywords.constructor.name">{{ member.role | translate }}</span>
																	<?php
																	}
																	if (!$groups || count($groups) == 0){ ?>
																		{{member.role | translate }}
																	<?php
																	}
																} else {
																	?>
																	{{member.role | translate }}
																<?php } ?>
															</div>
														</div>
													</div>
												</div>
											</div>

										</div>

										<div class="row mt-1">
											<?php if ($this->module()->isActive('time')) : ?>
												<div class="col-md-4 col-sm-12" show-tpl="self.project.template" tpl-field-name="globalTimeTarget">
													<div class="form-group">
														<label><?= $this->translate('project_field_globalTimeTarget') ?> <i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_globalTimeTarget') ?>" hide-if-empty></i></label>
														<div class="input-group">
															<input type="text" input-mask="decimal" name="globalTimeTarget" class="form-control" autocomplete="off" ng-model="self.project.globalTimeTarget" ng-disabled="!self.project._rights.update || self.project.locked" />
															<span class="input-group-addon">
																<?= $this->translate('hours') ?>
															</span>
														</div>
														<field-errors field="globalTimeTarget" errors="self.errors.fields"></field-errors>
													</div>
												</div>
											<?php endif; ?>

												<div class="col-md-4 col-sm-12" show-tpl="self.project.template" tpl-field-name="plannedDateStart">
													<div class="form-group">
														<label><?= $this->translate('project_field_plannedDateStart') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_plannedDateStart') ?>" hide-if-empty></i></label>
														<input type="text" input-date input-date-mask="date" name="plannedDateStart" class="form-control" autocomplete="off" ng-model="self.project.plannedDateStart" ng-disabled="!self.project._rights.update || self.project.locked" />
														<field-errors field="plannedDateStart" errors="self.errors.fields"></field-errors>
													</div>
												</div>
												<div class="col-md-4 col-sm-12" show-tpl="self.project.template" tpl-field-name="plannedDateEnd">
													<div class="form-group">
														<label><?= $this->translate('project_field_plannedDateEnd') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_plannedDateEnd') ?>" hide-if-empty></i></label>
														<input type="text" input-date input-date-mask="date" name="plannedDateEnd" class="form-control" autocomplete="off" ng-model="self.project.plannedDateEnd" ng-disabled="!self.project._rights.update || self.project.locked" />
														<field-errors field="plannedDateEnd" errors="self.errors.fields"></field-errors>
													</div>
												</div>
										</div>


										<div class="row">
											<div class="col-md-4 col-sm-12" show-tpl="self.project.template" tpl-field-name="programmingDate">
												<div class="form-group">
													<label><?= $this->translate('project_field_programmingDate') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_programmingDate') ?>" hide-if-empty></i></label>
													<input type="text" input-date input-date-mask="date" name="programmingDate" class="form-control" autocomplete="off" ng-model="self.project.programmingDate" ng-disabled="!self.project._rights.update || self.project.locked" />
													<field-errors field="programmingDate" errors="self.errors.fields"></field-errors>
												</div>
											</div>
											<div class="col-md-4 col-sm-12" show-tpl="self.project.template" tpl-field-name="realDateStart">
												<div class="form-group">
													<label><?= $this->translate('project_field_realDateStart') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_realDateStart') ?>" hide-if-empty></i></label>
													<input type="text" input-date input-date-mask="date" name="realDateStart" class="form-control" autocomplete="off" ng-model="self.project.realDateStart" ng-disabled="!self.project._rights.update || self.project.locked" />
													<field-errors field="realDateStart" errors="self.errors.fields"></field-errors>
												</div>
											</div>
											<div class="col-md-4 col-sm-12" show-tpl="self.project.template" tpl-field-name="realDateEnd">
												<div class="form-group">
													<label><?= $this->translate('project_field_realDateEnd') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_realDateEnd') ?>" hide-if-empty></i></label>
													<input type="text" input-date input-date-mask="date" name="realDateEnd" class="form-control" autocomplete="off" ng-model="self.project.realDateEnd" ng-disabled="!self.project._rights.update || self.project.locked" />
													<field-errors field="realDateEnd" errors="self.errors.fields"></field-errors>
												</div>
											</div>
										</div>
										<div class="row">
											<div class="form-group col-sm-4" show-tpl="self.project.template" tpl-field-name="external">
												<label><?= $this->translate('project_field_external') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_external') ?>" hide-if-empty></i></label>
												<br />
												<input type="checkbox" id="external" ng-model="self.project.external" ng-disabled="!self.project._rights.update || self.project.locked" />
												<field-errors field="external" errors="self.errors.fields"></field-errors>
											</div>

											<div ng-show="self.project.external" show-tpl="self.project.template" tpl-field-name="ownership" class="form-group required col-sm-4">
												<label><?= $this->translate('project_field_ownership') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_ownership') ?>" hide-if-empty></i></label>
												<structure-select name="ownership" ng-model="self.project.ownership" ng-disabled="!self.project._rights.update || self.project.locked" required="self.project.external" form="projectForm"></structure-select>
												<field-errors field="ownership" errors="self.errors.fields"></field-errors>
											</div>
										</div>

										<div ng-show="self.project.id" class="row">
											
											<?php if ($this->module()->isActive('budget')) : ?>
												<div class="form-group col-md-4" show-tpl="self.project.template" tpl-field-name="budgetStatus">
													<label>
														<?= $this->translate('project_field_budgetStatus') ?>
														<i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_budgetStatus') ?>" hide-if-empty></i>
													</label>

													<budget-status-select name="budgetStatus" ng-model="self.project.budgetStatus" ng-disabled="!self.project._rights.update || self.project.locked" form="projectForm"></budget-status-select>

													<field-errors field="budgetStatus" errors="self.errors.fields"></field-errors>
												</div>
											<?php endif; ?>

											<?php if (
												$this->budgetCode &&
												$this->module()->isActive('budget') &&
												$this->acl()->isAllowed('budget:e:budgetCode:r')
											) : ?>
												<div class="form-group col-md-4" show-tpl="self.project.template" tpl-field-name="budgetCodes">
													<label>
														<?= $this->translate('project_field_budgetCodes') ?>
														(modifiable dans l'onglet Budget > Codes financier)
													</label>

													<div style="display: flex; min-height: 34px; align-items: center;">
														<div class="comma-separated" style="display: block;">
															<span ng-repeat="budgetCode in self.project.budgetCodes">
																<!--
																-->{{ budgetCode.name }}
																<!--
															-->
															</span>
														</div>
													</div>
												</div>
											<?php endif; ?>
										</div>

										<div class="row">
											<div class="form-group col-sm-6" show-tpl="self.project.template" tpl-field-name="objectifs">
												<label><?= $this->translate('project_field_objectifs') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_objectifs') ?>" hide-if-empty></i></label>
												<text-editor ng-model="self.project.objectifs" ng-disabled="!self.project._rights.update || self.project.locked" type="simple" custom-buttons="[{
                                                        name: 'save',
                                                        text: '<?= $this->translate('save') ?>',
                                                        showFullScreen: true,
                                                        function: self.saveProject,
																											}]" placeholder-if-defined="<?= $this->translate('project_placeholder_objectifs') ?>">
												</text-editor>
												<field-errors field="objectifs" errors="self.errors.fields"></field-errors>
											</div>
											<div class="form-group col-sm-6" show-tpl="self.project.template" tpl-field-name="description">
												<label><?= $this->translate('project_field_description') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_description') ?>" hide-if-empty></i></label>
												<text-editor ng-model="self.project.description" ng-disabled="!self.project._rights.update || self.project.locked" type="simple" custom-buttons="[{
                                                        name: 'save',
                                                        text: '<?= $this->translate('save') ?>',
                                                        showFullScreen: true,
                                                        function: self.saveProject
																											}]" placeholder-if-defined="<?= $this->translate('project_placeholder_description') ?>">
												</text-editor>
												<field-errors field="description" errors="self.errors.fields"></field-errors>
											</div>
										</div>

										<div class="row">
											<div class="form-group col-sm-6" show-tpl="self.project.template" tpl-field-name="context">
												<label><?= $this->translate('project_field_context') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_context') ?>" hide-if-empty></i></label>
												<text-editor ng-model="self.project.context" ng-disabled="!self.project._rights.update || self.project.locked" type="simple" custom-buttons="[{
                                                        name: 'save',
                                                        text: '<?= $this->translate('save') ?>',
                                                        showFullScreen: true,
                                                        function: self.saveProject
                                                      }]" placeholder-if-defined="<?= $this->translate('project_placeholder_context') ?>">
												</text-editor>
												<field-errors field="context" errors="self.errors.fields"></field-errors>
											</div>
										</div>

										<div class="row">
											<div class="form-group col-sm-6" show-tpl="self.project.template" tpl-field-name="result">
												<label><?= $this->translate('project_field_result') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_result') ?>" hide-if-empty></i></label>
												<text-editor ng-model="self.project.result" ng-disabled="!self.project._rights.update || self.project.locked" type="simple" custom-buttons="[{
                                                        name: 'save',
                                                        text: '<?= $this->translate('save') ?>',
                                                        showFullScreen: true,
                                                        function: self.saveProject
                                                      }]" placeholder-if-defined="<?= $this->translate('project_placeholder_result') ?>">
												</text-editor>
												<field-errors field="result" errors="self.errors.fields"></field-errors>
											</div>
											<div class="form-group col-sm-6" show-tpl="self.project.template" tpl-field-name="prevResult">
												<label><?= $this->translate('project_field_prevResult') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_prevResult') ?>" hide-if-empty></i></label>
												<text-editor ng-model="self.project.prevResult" ng-disabled="!self.project._rights.update || self.project.locked" type="simple" custom-buttons="[{
                                                        name: 'save',
                                                        text: '<?= $this->translate('save') ?>',
                                                        showFullScreen: true,
                                                        function: self.saveProject
                                                    }]" placeholder-if-defined="<?= $this->translate('project_placeholder_prevResult') ?>">
												</text-editor>
												<field-errors field="prevResult" errors="self.errors.fields"></field-errors>
											</div>
										</div>

										<?php if ($this->module()->isActive('field')) : ?>
											<div class="row separator"></div>
											<div class="row">
												<div class="col-xs-12">
													<custom-fields ng-if="self.project.id" cascade-save="self.customFieldsSaveObject" entity="Project\Entity\Project" tab="<?= $tabs['project'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
													</custom-fields>
												</div>
											</div>
										<?php endif; ?>

										<?php if ($this->module()->isActive('keyword')) : ?>
											<fieldset>
												<legend><?= $this->icon('keyword', 'fa-fw') ?> <?= $this->translate(
																									'keywords_' . Keyword\Entity\Group::GROUP_TYPE_KEYWORD
																								) ?></legend>
												<keywords-form-group entity="project" kw-type="<?= Keyword\Entity\Group::GROUP_TYPE_KEYWORD ?>" ng-model="self.project">
												</keywords-form-group>
											</fieldset>
											<fieldset>
												<legend><?= $this->icon('tree', 'fa-fw') ?> <?= $this->translate(
																								'keywords_' . Keyword\Entity\Group::GROUP_TYPE_REFERENCE
																							) ?></legend>
												<keywords-form-group entity="project" kw-type="<?= Keyword\Entity\Group::GROUP_TYPE_REFERENCE ?>" ng-model="self.project">
												</keywords-form-group>
											</fieldset>
										<?php endif; ?>

										<div ng-if="self.project._rights.update" class="row">
											<div class="form-group col-xs-12">
												<button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
													<?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
													<?= $this->translate('form_button_save') ?>
												</button>
											</div>
										</div>
									</form>
								</div>

								<div role="tabpanel" class="tab-pane" id="children">
									<div class="row separator" ng-if="self.project.id > 0">
										<div class="col-xs-12">
											<?php echo $this->partial('project/partial/tree.phtml', [
												'fromProject' => true,
												'project' => $this->project,
												'exports' => $this->exports,
												'customExportsWord' => $this->listCustomExportsWord,
												'customExportsExcel' => $this->listCustomExportsExcel,
											]); ?>
										</div>
									</div>

									<?php if ($this->module()->isActive('field')) : ?>
										<div class="row separator"></div>
										<div class="row">
											<div class="col-xs-12">
												<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['hierarchy'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
												</custom-fields>
											</div>
										</div>
									<?php endif; ?>
								</div>

								<div role="tabpanel" class="tab-pane" id="members">
									<div class="row">
										<form ng-submit="self.saveProject()">
											<div ng-if="self.project._rights.update" class="row btn-sticky">
												<div class="form-group col-xs-12">
													<button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save">
														<?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
														<?= $this->translate('form_button_save') ?>
													</button>
												</div>
											</div>
										</form>
										<div class="col-md-6 col-sm-12" show-tpl="self.project.template" tpl-field-name="managers">
											<div class="form-group">
												<label><?= $this->translate('project_field_managers') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_managers') ?>" hide-if-empty></i></label>
												<user-select name="managers" ng-model="self.project.managers" ng-disabled="!self.project._rights.update || self.project.locked" multiple="true" required="false" form="projectForm"></user-select>
												<field-errors field="managers" errors="self.errors.fields"></field-errors>
											</div>
										</div>
										<div class="col-md-6 col-sm-12" show-tpl="self.project.template" tpl-field-name="validators">
											<div class="form-group">
												<label><?= $this->translate('project_field_validators') ?><i class="fa fa-info-circle" tooltip="<?= $this->translate('project_help_validators') ?>" hide-if-empty></i></label>
												<user-select name="validators" ng-model="self.project.validators" ng-disabled="!self.project._rights.update || self.project.locked" multiple="true" required="false" form="projectForm"></user-select>
												<field-errors field="validators" errors="self.errors.fields"></field-errors>
											</div>
										</div>
									</div>
									<div class="row separator" ng-if="self.project._rights.update">
										<div class="col-xs-12">
											<div class="btn-group">
												<button class="btn" data-toggle="modal" data-target="#membersModal">
													<?= $this->icon('create') ?>
													<?= $this->translate('project_add_members') ?>
												</button>
											</div>
										</div>
									</div>

									<div class="row">
										<div class="col-xs-12">
											<table class="table table-bordered table-condensed table-hover">
												<thead>
													<tr>
														<th class="fit-content"></th>
														<th><?= $this->translate('project_member_field_user') ?></th>
														<th><?= $this->translate('project_member_field_role') ?></th>
														<th class="actions-column"></th>
													</tr>
												</thead>
												<tbody>
													<tr ng-repeat="member in self.project.members">
														<td>
															<img ng-src="{{member.user.avatar}}" class="avatar" />
														</td>
														<td>
															<?= $this->icon('project-manager', 'fa-fw pull-right', [
																'ng-if' => 'member.role == \'' . \Project\Entity\Member::ROLE_MANAGER . '\'',
															]) ?>
															<?= $this->icon('project-validator', 'fa-fw pull-right', [
																'ng-if' => 'member.role == \'' . \Project\Entity\Member::ROLE_VALIDATOR . '\'',
															]) ?>
															<?php if ($this->acl()->isAllowed('user:e:user:r')) : ?>
																<a href="<?= $this->url('user/form') ?>/{{member.user.id}}">{{member.user.name}}</a>
															<?php else : ?>
																{{member.user.name}}
															<?php endif; ?>
														</td>
														<?php
														if ($this->module()->isActive('keyword')) {
															$groups = $this->entityManager()->getRepository('Keyword\Entity\Group')->findByEntity('member', false);
															foreach ($groups as $group) {
														?>
																<td class="editable">
																	<span class="comma-separated" ng-if="member.keywords && 'Object' === member.keywords.constructor.name">
																		<span ng-repeat="keyword in member.keywords['<?= $group->getId() ?>']">{{keyword.name}}</span>
																	</span>
																	<span ng-if="!member.keywords || 'Array' === member.keywords.constructor.name">{{ member.role | translate }}</span>
																</td>
															<?php
															}
														} else {
															?>
															<td>{{member.role | translate }}</td>
														<?php } ?>
														<td>
															<a ng-if="self.project._rights.update && member.role == '<?= \Project\Entity\Member::ROLE_MEMBER ?>'" class="btn btn-xs btn-default" ng-click="self.removeMember(member)" tooltip="<?= $this->translate('tooltip_delete') ?>">
																<?= $this->icon('delete') ?>
															</a>
														</td>
													</tr>
												</tbody>
											</table>
										</div>
									</div>

									<div class="modal" id="membersModal">
										<div class="modal-dialog">
											<div class="modal-content">
												<form name="memberForm" ng-submit="self.addMembers()">
													<div class="modal-header">
														<h4 class="modal-title"><?= $this->translate('project_add_members') ?></h4>
													</div>
													<div class="modal-body">
														<div class="row">
															<div class="form-group required col-xs-12">
																<label><?= $this->translate('project_member_field_user') ?></label>
																<user-select ng-model="self.newMembers" required="true" form="memberForm" multiple="true" name="members"></user-select>
															</div>
														</div>
														<?php if ($this->module()->isActive('keyword')) : ?>
															<keywords-form-group entity="member" ng-model="self.memberRights"></keywords-form-group>
														<?php endif; ?>
													</div>
													<div class="modal-footer">
														<button type="button" class="btn btn-default" data-dismiss="modal"><?= $this->translate('close') ?></button>
														<button type="submit" class="btn btn-submit">
															<?= $this->translate('add') ?>
														</button>
													</div>
												</form>
											</div>
										</div>
									</div>

									<?php if ($this->module()->isActive('field')) : ?>
										<div class="row separator"></div>
										<div class="row">
											<div class="col-xs-12">
												<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['members'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
												</custom-fields>
											</div>
										</div>
									<?php endif; ?>
								</div>

								<div class="tab-pane" id="actors" ng-if="self.project.id && actorsTabLoaded">
									<?= $this->partial('project/partial/actors.phtml', [
										'from' => 'project',
										'object' => $this->project,
									]) ?>

									<?php if ($this->module()->isActive('field')) : ?>
										<div class="row separator"></div>
										<div class="row">
											<div class="col-xs-12">
												<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['actors'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
												</custom-fields>
											</div>
										</div>
									<?php endif; ?>
								</div>

								<?php if ($this->module()->isActive('time')) : ?>
									<div class="tab-pane" id="times" ng-if="self.project.id && timesTabLoaded ">
										<ul class="nav nav-tabs nav-justified separator">
											<li class="active">
												<a href="#synthese" data-toggle="tab">
													<?= $this->translate('timesheet_tab_synthese') ?>
												</a>
											</li>
											<li>
												<a href="#done" data-toggle="tab">
													<?= ucfirst($this->translate('timesheet_type_done')) ?>
												</a>
											</li>
											<li>
												<a href="#target" data-toggle="tab">
													<?= ucfirst($this->translate('timesheet_type_target')) ?>
												</a>
											</li>
											<li>
												<a href="#absence" data-toggle="tab">
													<?= ucfirst($this->translate('timesheet_type_absence')) ?>
												</a>
											</li>
										</ul>

										<div class="tab-content">
											<div class="tab-pane active" id="synthese">
												<?= $this->partial('time/project/synthese.phtml') ?>

												<?php if ($this->module()->isActive('field')) : ?>
													<div class="row separator"></div>
													<div class="row">
														<div class="col-xs-12">
															<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['time'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
															</custom-fields>
														</div>
													</div>
												<?php endif; ?>
											</div>
											<div class="tab-pane" id="done">
												<?= $this->partial('time/project/tab.phtml', [
													'project' => $this->project,
													'user' => $this->authStorage()->getUser(),
													'type' => \Time\Entity\Timesheet::TYPE_DONE,
												]) ?>
											</div>
											<div class="tab-pane" id="target">
												<?= $this->partial('time/project/tab.phtml', [
													'project' => $this->project,
													'user' => $this->authStorage()->getUser(),
													'type' => \Time\Entity\Timesheet::TYPE_TARGET,
												]) ?>
											</div>
											<div class="tab-pane" id="absence">
												<?= $this->partial('time/project/tab.phtml', [
													'project' => $this->project,
													'user' => $this->authStorage()->getUser(),
													'type' => \Time\Entity\Timesheet::TYPE_ABSENCE,
												]) ?>
											</div>
										</div>

									</div>
								<?php endif; ?>

								<?php if ($this->module()->isActive('indicator')) : ?>
									<?php $transverse = $this->module()->getClientModuleConfiguration('indicator', 'transverse'); ?>
									<div class="tab-pane" id="indicators" ng-if="self.project.id && indicatorsTabLoaded">
										<?php if (!$transverse) {
											echo $this->partial('indicator/partial/measure/list.phtml', [
												'from' => 'project',
												'object' => $this->project,
											]);
										} else {
										?>
											<ul class="nav nav-tabs nav-justified separator">
												<li class="active">
													<a href="#transverse" data-toggle="tab">
														<?= ucfirst($this->translate('indicators_transverse')) ?>
													</a>
												</li>
												<li>
													<a href="#measures" data-toggle="tab">
														<?= ucfirst($this->translate('measure_entities')) ?>
													</a>
												</li>
											</ul>
											<div class="tab-content">
												<div class="tab-pane active" id="transverse">
													<?= $this->partial('indicator/partial/transverse/list.phtml', [
														'from' => 'project',
														'object' => $this->project,
													]) ?>
												</div>
												<div class="tab-pane" id="measures">
													<?= $this->partial('indicator/partial/measure/list.phtml', [
														'from' => 'project',
														'object' => $this->project,
													]) ?>
												</div>
											</div>
										<?php
										} ?>

										<?php if ($this->module()->isActive('field')) : ?>
											<div class="row separator"></div>
											<div class="row">
												<div class="col-xs-12">
													<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['indicator'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
													</custom-fields>
												</div>
											</div>
										<?php endif; ?>
									</div>
								<?php endif; ?>


								<?php if ($this->module()->isActive('budget')) : ?>
									<div class="tab-pane" id="budget" ng-if="self.project.id && budgetTabLoaded ">
										<ul class="nav nav-tabs nav-justified separator">
											<li class="active">
												<a href="#expense" data-toggle="tab">
													{{ <?= $this->module()->isActive('convention') ? 'true' : 'false' ?> &&
													self.project.external ?
													'<?= ucfirst($this->translate('subventions_entities')) ?>' :
													'<?= ucfirst($this->translate('expense_entities')) ?>' }}
												</a>
											</li>
											<li>
												<a href="#income" data-toggle="tab">
													<?= ucfirst($this->translate('income_entities')) ?>
												</a>
											</li>
											<?php if ($this->budgetCode && $this->acl()->isAllowed('budget:e:budgetCode:r')) : ?>
												<li>
													<a href="#budgetCode" data-toggle="tab">
														<?= ucfirst($this->translate('budgetCode_entities')) ?>
													</a>
												</li>
											<?php endif; ?>
										</ul>

										<div class="tab-content">
											<div class="tab-pane active" id="expense">
												<?= $this->partial('budget/partial/poste-expense/list.phtml', [
													'from' => 'project',
													'object' => $this->project,
													'expenseCustomExportsExcel' => $this->expenseCustomExportsExcel
												]) ?>

												<?php if ($this->module()->isActive('field')) : ?>
													<div class="row separator"></div>
													<div class="row">
														<div class="col-xs-12">
															<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['budget'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
															</custom-fields>
														</div>
													</div>
												<?php endif; ?>
											</div>
											<div class="tab-pane" id="income">
												<?= $this->partial('budget/partial/poste-income/list.phtml', [
													'from' => 'project',
													'object' => $this->project,
													'incomeCustomExportsExcel' => $this->incomeCustomExportsExcel
												]) ?>
											</div>

											<?php if ($this->budgetCode && $this->acl()->isAllowed('budget:e:budgetCode:r')) : ?>
												<div class="tab-pane" id="budgetCode">
													<?= $this->partial('budget/partial/budget-code/list.phtml', [
														'project' => $this->project,
														'objectId' => 'self.project.id',
														'ageSynchronisationActive' => $this->ageSynchronisationActive,
														'ageSynchroFlags' => $this->ageSynchroFlags
													]) ?>
												</div>
											<?php endif; ?>
										</div>
									</div>
								<?php endif; ?>

								<div class="tab-pane" id="attachments" ng-if="self.project.id && attachmentsTabLoaded">
									<?= $this->partial('attachment/partial/list.phtml', [
										'right' => 'project:e:project',
										'from' => 'Project\\\Entity\\\Project',
										'object' => $this->project,
										'model_id' => 'self.project.id',
									]) ?>

									<?php if ($this->module()->isActive('field')) : ?>
										<div class="row separator"></div>
										<div class="row">
											<div class="col-xs-12">
												<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['attachments'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
												</custom-fields>
											</div>
										</div>
									<?php endif; ?>

								</div>

								<?php if ($this->module()->isActive('convention')) : ?>
									<div class="tab-pane" id="conventions" ng-if="self.project.id && conventionsTabLoaded">
										<?= $this->partial('convention/partial/line/list.phtml', [
											'from' => 'project',
											'object' => $this->project,
										]) ?>

										<?php if ($this->module()->isActive('field')) : ?>
											<div class="row separator"></div>
											<div class="row">
												<div class="col-xs-12">
													<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['convention'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
													</custom-fields>
												</div>
											</div>
										<?php endif; ?>
									</div>
								<?php endif; ?>

								<?php if ($this->module()->isActive('advancement')) : ?>
									<div class="tab-pane" id="advancement" ng-if="self.project.id && advancementTabLoaded">
										<?= $this->partial('advancement/partial/list.phtml', [
											'from' => 'project',
											'object' => $this->project,
										]) ?>

										<?php if ($this->module()->isActive('field')) : ?>
											<div class="row separator"></div>
											<div class="row">
												<div class="col-xs-12">
													<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['advancement'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
													</custom-fields>
												</div>
											</div>
										<?php endif; ?>
									</div>
								<?php endif; ?>

								<?php if ($this->module()->isActive('task')) : ?>
									<div class="tab-pane" id="tasks" ng-if="self.project.id && taskTabLoaded">
										<?= $this->partial('task/partial/list.phtml', ['from' => 'project', 'object' => $this->project]) ?>

										<?php if ($this->module()->isActive('field')) : ?>
											<div class="row separator"></div>
											<div class="row">
												<div class="col-xs-12">
													<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['task'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
													</custom-fields>
												</div>
											</div>
										<?php endif; ?>
									</div>
								<?php endif; ?>

								<?php if ($this->module()->isActive('field')) : ?>
									<div class="tab-pane" id="fields" ng-if="self.project.id && fieldTabLoaded">
										<custom-fields ng-if="self.project.id" tab="<?= $tabs['field'] ?>" entity="Project\Entity\Project" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
										</custom-fields>
									</div>
								<?php endif; ?>

								<?php if ($this->module()->isActive('map')) : ?>
									<div class="tab-pane" id="territories" ng-if="self.project.id && mapTabLoaded">
										<?= $this->partial('map/partial/tab.phtml', [
											'right' => 'project:e:project',
											'from' => 'Project\\\Entity\\\Project',
											'object' => $this->project,
											'model' => 'self.project',
										]) ?>
										<?php if ($this->module()->isActive('field')) : ?>
											<div class="row separator"></div>
											<div class="row">
												<div class="col-xs-12">
													<custom-fields ng-if="self.project.id" entity="Project\Entity\Project" tab="<?= $tabs['territory'] ?>" ng-model="self.project" right="project:e:project" translations="{save: '<?= $this->translate('save') ?>'}">
													</custom-fields>
												</div>
											</div>
										<?php endif; ?>
									</div>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="modal" id="exportWordModal2">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title"><?= $this->translate('project_exportWord_module_title') ?></h4>
				</div>
				<div class="modal-body">
					<div class="row">
						<div class="col-xs-12">
							<select class="form-control" ng-model="self.exportModel">
								<?php foreach ($this->exports as $export) : ?>
									<?php if (
										$export->getType() === \Export\Entity\Export::TYPE_WORD &&
										$export->getReference() == \Export\Entity\Export::EXPORT_REFERENCE_INITIAL
									) : ?>
										<option value="<?= $export->getId() ?>"><?= $export->getName() ?></option>
									<?php endif; ?>
								<?php endforeach; ?>

								<?php if (count($this->customExportsWord) > 0) : ?>
									<optgroup label="<?= ucfirst($this->translate('export_custom_entity')) ?>">

										<?php foreach ($this->customExportsWord as $export) : ?>
											<option value="<?= $export->getKey() ?>">
												<?= $export->getName() ?>
											</option>
										<?php endforeach; ?>

									</optgroup>
								<?php endif; ?>
							</select>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button class="btn btn-default" type="button" data-dismiss="modal">
						<?= $this->translate('close') ?>
					</button>

					<button class="btn btn-submit" ng-disabled="self.loading.export || !self.exportModel" ng-click="self.export('<?= ucfirst(\Export\Entity\Export::TYPE_WORD) ?>')">
						<?= $this->icon('loading', '', ['ng-if' => 'self.loading.export']) ?>
						<?= $this->translate('export') ?>
					</button>

					<form id="exportWordForm2" action="<?= $this->url('project/tree') ?>" method="POST" target="_blank">
						<input type="hidden" name="export" value="{{self.exportModel}}" />
						<input type="hidden" name="filters" value="{{self.exportFilters}}" />
					</form>
				</div>
			</div>
		</div>
	</div>
	<div class="modal" id="exportExcelModal2">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title"><?= $this->translate('project_exportExcel_module_title') ?></h4>
				</div>
				<div class="modal-body">
					<div class="row">
						<div class="col-xs-12">
							<select class="form-control" ng-model="self.exportModel">
								<option value="default"><?= $this->translate('project_export_default') ?></option>
								<?php foreach ($this->exports as $export) : ?>
									<?php if ($export->getType() === \Export\Entity\Export::TYPE_EXCEL) : ?>
										<option value="<?= $export->getId() ?>"><?= $export->getName() ?></option>
									<?php endif; ?>
								<?php endforeach; ?>

								<?php if (count($this->customExportsExcel) > 0) : ?>
									<optgroup label="<?= ucfirst($this->translate('export_custom_entity')) ?>">

										<?php foreach ($this->customExportsExcel as $export) : ?>
											<option value="<?= $export->getKey() ?>">
												<?= $export->getName() ?>
											</option>
										<?php endforeach; ?>

									</optgroup>
								<?php endif; ?>
							</select>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button class="btn btn-default" type="button" data-dismiss="modal">
						<?= $this->translate('close') ?>
					</button>

					<button class="btn btn-submit" ng-disabled="self.loading.export || !self.exportModel" ng-click="self.export('<?= ucfirst(\Export\Entity\Export::TYPE_EXCEL) ?>')">
						<?= $this->icon('loading', '', ['ng-if' => 'self.loading.export']) ?>
						<?= $this->translate('export') ?>
					</button>

					<form id="exportExcelForm2" action="<?= $this->url('project/tree') ?>" method="POST" target="_blank">
						<input type="hidden" name="export" value="{{self.exportModel}}" />
						<input type="hidden" name="filters" value="{{self.exportFilters}}" />
					</form>
				</div>
			</div>
		</div>
	</div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('project:e:project:c')) {
	$fabLinks[] = [
		'href' => $this->url('project/form'),
		'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('project_nav_form'),
	];
	$fabLinks[] = [
		'href' => $this->url('import', ['entity' => 'project']),
		'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('project_nav_import'),
	];
}

echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/keyword/directive/keywordsFormGroup.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/keyword/directive/groupSelect.js');
$this->angular('js/src/user/directive/userSelect.js');
$this->angular('js/src/project/directive/projectSelect.js');
$this->angular('js/src/directory/directive/structureSelect.js');
$this->angular('js/src/directory/service/structure.js');

$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/project/service/project.js');
$this->angular('js/src/user/service/user.js');

$this->angular('js/src/project/controller/form.js');
$this->angular('js/src/project/controller/list.js');
$this->angular('js/src/project/controller/tree.js');
$this->angular('js/src/application/query/service/query.js');

/**
 * Module TIME - Must append this here because if we're using "if module activated" control, the
 * angular minifying will not work :/
 */
$this->angular('js/src/time/service/timesheet.js');
$this->angular('js/src/time/controller/project/tab.js');
$this->angular('js/src/time/controller/project/synthese.js');
$this->angular('js/src/time/controller/timesheet/form.js');

/** Indicators **/
$this->angular('js/src/indicator/directive/indicatorSelect.js');
$this->angular('js/src/indicator/service/indicator.js');
$this->angular('js/src/indicator/service/measure.js');
$this->angular('js/src/indicator/service/deployment.js');
$this->angular('js/src/indicator/controller/measure/list.js');
$this->angular('js/src/indicator/controller/measure/form.js');
$this->angular('js/src/indicator/controller/transverse/list.js');

/** Budget **/
$this->angular('js/src/budget/directive/budgetStatusSelect.js');
$this->angular('js/src/budget/directive/accountSelect.js');
$this->angular('js/src/budget/directive/natureSelect.js');
$this->angular('js/src/budget/directive/organizationSelect.js');
$this->angular('js/src/budget/directive/managementUnitSelect.js');
$this->angular('js/src/budget/directive/destinationSelect.js');
$this->angular('js/src/budget/directive/envelopeSelect.js');
$this->angular('js/src/budget/directive/posteExpenseSelect.js');
$this->angular('js/src/budget/directive/posteIncomeSelect.js');
$this->angular('js/src/budget/service/budgetStatus.js');
$this->angular('js/src/budget/service/account.js');
$this->angular('js/src/budget/service/nature.js');
$this->angular('js/src/budget/service/organization.js');
$this->angular('js/src/budget/service/managementUnit.js');
$this->angular('js/src/budget/service/destination.js');
$this->angular('js/src/budget/service/posteExpense.js');
$this->angular('js/src/budget/service/posteIncome.js');
$this->angular('js/src/budget/service/expense.js');
$this->angular('js/src/budget/service/income.js');
$this->angular('js/src/budget/service/envelope.js');
$this->angular('js/src/budget/service/simplifiedInput.js');
$this->angular('js/src/budget/controller/posteExpense/list.js');
$this->angular('js/src/budget/controller/posteExpense/form.js');
$this->angular('js/src/budget/controller/posteExpense/simplifiedInput.js');
$this->angular('js/src/budget/controller/posteIncome/list.js');
$this->angular('js/src/budget/controller/posteIncome/form.js');
$this->angular('js/src/budget/controller/expense/form.js');
$this->angular('js/src/budget/controller/income/form.js');

/** Conventions */
$this->angular('js/src/convention/controller/line/list.js');
$this->angular('js/src/convention/service/line.js');

/** Advancement **/
$this->angular('js/src/advancement/controller/advancement/list.js');
$this->angular('js/src/advancement/controller/advancement/form.js');
$this->angular('js/src/advancement/service/advancement.js');

/** Notes **/
$this->angular('js/src/note/directive/noteModule.js');
$this->angular('js/src/note/service/note.js');

/** Tasks */
$this->angular('js/src/task/controller/task/list.js');
$this->angular('js/src/task/controller/task/form.js');
$this->angular('js/src/task/service/task.js');

/** Fields */
$this->angular('js/src/field/service/fieldGroup.js');
$this->angular('js/src/field/service/fieldValue.js');
$this->angular('js/src/field/directive/customFields.js');

/** Territories */
$this->angular('js/src/map/service/territory.js');
$this->angular('js/src/map/service/territoryAssociation.js');
$this->angular('js/src/map/directive/territorySelect.js');
$this->angular('js/src/map/controller/territory/tab.js');
$this->angular('js/src/map/directive/territoriesFormGroup.js');

/** Actors */
$this->angular('js/src/project/service/actor.js');
$this->angular('js/src/project/controller/actors.js');

/** Templates */
$this->angular('js/src/project/service/template.js');

/** Configuration */
$this->angular('js/src/application/configuration/service/configuration.js');
